#

API Docs for: v3.16.0-alpha.2
Show: Inherited Protected Private Deprecated

# Ember.HTMLBars.helpers Class

Module: @ember-data/adapter

- Index
- Methods

## Item Index

### Methods

- pluralize
- singularize

## Methods

### `pluralize`

(

- `[count]`
- `word`

)

Defined in `../../node_modules/ember-inflector/addon/lib/helpers/pluralize.js:4`

If you have Ember Inflector (such as if Ember Data is present), pluralize a word. For example, turn "ox" into "oxen". Example: {{pluralize count myProperty}} {{pluralize 1 "oxen"}} {{pluralize myProperty}} {{pluralize "ox"}}

#### Parameters:

- `[count]` Number | Property optional

  count of objects

- `word` String | Property

  word to pluralize

### `singularize`

(

- `word`

)

Defined in `../../node_modules/ember-inflector/addon/lib/helpers/singularize.js:4`

If you have Ember Inflector (such as if Ember Data is present), singularize a word. For example, turn "oxen" into "ox". Example: {{singularize myProperty}} {{singularize "oxen"}}

#### Parameters:

- `word` String | Property

  word to singularize